import { GraphQLSchema } from 'graphql';
import { LanguageService, IPosition as GraphQLPosition, ContextToken } from 'graphql-language-service';
import * as monaco from 'monaco-editor';
import { BridgeOptions, DecorationsSource, DefinitionSource, DiagnosticsSource, HoverSource } from './utils';
export declare class EnrichedLanguageService extends LanguageService {
    getNodeAtPosition(schema: GraphQLSchema, document: string, position: GraphQLPosition): Promise<ContextToken | null>;
    buildBridgeForProviders(model: monaco.editor.ITextModel, position: monaco.Position): Promise<null | BridgeOptions>;
    getDefinitionProvider(rawSources: DefinitionSource[]): monaco.languages.DefinitionProvider;
    getHoverProvider(rawSources: HoverSource[]): monaco.languages.HoverProvider;
    private handleDecorations;
    private handleDiagnostics;
    getModelChangeHandler(): (editorInstance: monaco.editor.IStandaloneCodeEditor, monacoInstance: typeof monaco, diagnosticsSources: DiagnosticsSource[], decorationsSources: DecorationsSource[]) => void;
    trySchema(sdl: string): Promise<GraphQLSchema | null>;
}
