import React from 'react';
import { EditorProps } from '@monaco-editor/react';
import { GraphQLError, GraphQLSchema } from 'graphql';
import { EnrichedLanguageService } from './enriched-language-service';
import { SchemaEditorApi, SchemaServicesOptions } from './use-schema-services';
export declare type SchemaEditorProps = SchemaServicesOptions & {
    onBlur?: (value: string) => void;
    onLanguageServiceReady?: (languageService: EnrichedLanguageService) => void;
    onSchemaChange?: (schema: GraphQLSchema, sdl: string) => void;
    onSchemaError?: (errors: [GraphQLError], sdl: string, languageService: EnrichedLanguageService) => void;
} & Omit<EditorProps, 'language'>;
export declare const SchemaEditor: React.ForwardRefExoticComponent<SchemaServicesOptions & {
    onBlur?: ((value: string) => void) | undefined;
    onLanguageServiceReady?: ((languageService: EnrichedLanguageService) => void) | undefined;
    onSchemaChange?: ((schema: GraphQLSchema, sdl: string) => void) | undefined;
    onSchemaError?: ((errors: [GraphQLError], sdl: string, languageService: EnrichedLanguageService) => void) | undefined;
} & Omit<EditorProps, "language"> & React.RefAttributes<SchemaEditorApi>>;
